Get a subcategory by ID
curl --request GET \
--url https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"path": "<string>",
"name": "<string>",
"status": "<string>",
"fileIds": [
{
"name": "<string>",
"overlayId": "<string>",
"mimeType": "<string>",
"title": "<string>",
"iconId": "<string>",
"eventId": 123
}
],
"digitalTwinsCount": 123,
"imageId": "<string>",
"description": "<string>"
}Subcategories
Get Subcategory
GET
/
evidences
/
{COMPANY_ID}
/
category
/
{CATEGORY_ID}
/
subcategory
/
{SUBCATEGORY_ID}
Get a subcategory by ID
Authorizations
Path Parameters
Company identifier
Parent category identifier
Subcategory identifier
Response
200 - application/json
Subcategory details
Path of the category in the hierarchy
Name of the category
Current status of the category
Files associated with the category or subcategory
Show child attributes
Show child attributes
Number of evidences in this category
ID of the category image stored in the database
Description of the category
⌘I